%define oname	firebirdsql

Name:		python-firebirdsql
Version:	0.7.3
Release:	%mkrel 3
Summary:	Python bindings for Firebird RDBMS
Group:		Development/Python
License:	BSD
URL:		http://github.com/nakagami/pyfirebirdsql/
Source0:	http://pypi.python.org/packages/source/f/%{oname}/%{oname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildArch:	noarch
BuildRequires:	pkgconfig(python) 
BuildRequires:	python-setuptools
BuildRequires:	firebird-devel

%description
A set of Firebird RDBMS bindings for Python.
It works on Python 2.5+ and use the Firebird network protocol.

%package -n python3-%{oname}
Summary:	Python 3 bindings for Firebird RDBMS
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools
BuildRequires:	firebird-devel

%description -n python3-%{oname}
Set of Firebird RDBMS bindings for Python.
It works on Python 3+ and use the Firebird network protocol.

%prep
%setup -q -n %{oname}-%{version} 
%apply_patches
cp -a . %{py3dir} 

%build
%{__python} setup.py build

pushd %{py3dir} 
%{__python3} setup.py build
popd

%install
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
sed -i '/#!\/usr\/bin\/env python/d' %{buildroot}%{python3_sitelib}/firebirdsql/*.py
popd

%{__python} setup.py install -O1 --skip-build --root %{buildroot}
sed -i '/#!\/usr\/bin\/env python/d' %{buildroot}%{python_sitelib}/firebirdsql/*.py


%files
%{python_sitelib}/*egg-info
%{python_sitelib}/%{oname}

%files -n python3-%{oname}
%{python3_sitelib}/*egg-info
%{python3_sitelib}/%{oname}




%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.7.3-3.mga4
+ Revision: 543414
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.7.3-2.mga4
+ Revision: 498601
- Rebuild to add different pythonegg provides for python 2 and 3

  + philippem <philippem>
    - remove no need fdupes

* Tue Jul 30 2013 philippem <philippem> 0.7.3-1.mga4
+ Revision: 461295
- Update to 0.7.3

* Sun Jan 13 2013 umeabot <umeabot> 0.7.2-2.mga3
+ Revision: 378837
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 01 2013 philippem <philippem> 0.7.2-1.mga3
+ Revision: 337356
- Update to new upstream 0.7.2

* Sat Sep 29 2012 fwang <fwang> 0.7.0-2.mga3
+ Revision: 300383
- rebuild for py3.3

* Sat Sep 29 2012 philippem <philippem> 0.7.0-1.mga3
+ Revision: 300245
- new version 0.7.0

* Wed Jan 11 2012 philippem <philippem> 0.6.5-1.mga2
+ Revision: 194984
- Update to 0.6.5.

* Thu Nov 03 2011 philippem <philippem> 0.6.2-1.mga2
+ Revision: 162047
- Update to 0.6.2.

* Thu Oct 27 2011 philippem <philippem> 0.6.0-1.mga2
+ Revision: 158761
- new upstream 0.6.0

* Mon Jun 20 2011 philippem <philippem> 0.4.2-1.mga2
+ Revision: 110515
- new upstream
- disable start transaction after commit or rollback

* Tue Apr 05 2011 philippem <philippem> 0.3.4-1.mga1
+ Revision: 80834
- new upstream

* Sat Apr 02 2011 philippem <philippem> 0.3.3-1.mga1
+ Revision: 79731
- imported package python-firebirdsql

